"""
Grok error because import model doesn't count as context:

  >>> grok.testing.grok(__name__)
  Traceback (most recent call last):
    ...
  GrokError: No module-level context for
  <class 'grokcore.component.tests.adapter.importedmodel2.Painting'>,
  please use the 'context' directive.

"""
from zope import interface

import grokcore.component as grok
from grokcore.component.tests.adapter.adapter import Cave  # noqa: F401 unused


class IPainting(interface.Interface):
    pass


@grok.implementer(IPainting)
class Painting(grok.Adapter):
    """
    Grokking of this should fail because there's no model (only an
    imported one which doesn't count).
    """
